Bug 550981 - [abrt] crash detected in mozplugger-1.12.1-7.fc12
[abrt] crash detected in mozplugger-1.12.1-7.fc12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mozplugger (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:54359fad92810f081a8ce5241d7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-28 06:56 EST by Vasilis Stergiou
Modified: 2010-09-29 08:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-29 08:11:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (932 bytes, text/plain)
2009-12-28 06:56 EST, Vasilis Stergiou
no flags Details

  None (edit)
Description Vasilis Stergiou 2009-12-28 06:56:04 EST
abrt 1.0.0 detected a crash.

Comment: just opened mozilla at www.gamespot.com

backtrace
-----
Core was generated by `mozplugger-helper 140,1,10,0,0,0,0,0 mplayer -really-quiet -nojoystick  "$file"'.
Program terminated with signal 11, Segmentation fault.
#0  0x008e3f68 in XCloseDisplay () from /usr/lib/libX11.so.6.3.0

Thread 1 (Thread 2266):
#0  0x008e3f68 in XCloseDisplay () from /usr/lib/libX11.so.6.3.0
No symbol table info available.
#1  0x0804a311 in main (argc=3, argv=0xbfccea24) at mozplugger-helper.c:1609
        app_argv = {0x804b3a6 "/bin/sh", 0x804b3ae "-c", 
          0xbfccf6fd "mplayer -really-quiet -nojoystick  \"$file\" </dev/null", 0x0, 0x74dff4 "|\335t", 0xbfcce8f7 "", 0xbfcce8f6 "", 
          0xbfcce900 "(\351\314\277p\315e", 
          0x65cab1 "\205\300uC\213U\354\071U\334v\033\203\302\001\211U\354\351r\377\377\377\017\266\320\060\300\211U\334\353\202\215\266", 0xbfcce8f6 ""}
        loops = 1
        pid = 2267
        temp = 0
        x = 0
        y = 0
        i = <value optimized out>

cmdline: mozplugger-helper 140,1,10,0,0,0,0,0 mplayer -really-quiet -nojoystick  "$file" </dev/null
component: mozplugger
executable: /usr/bin/mozplugger-helper
kernel: 2.6.31.9-174.fc12.i686.PAE
package: mozplugger-1.12.1-7.fc12
rating: 3
reason: Process was terminated by signal 11
Comment 1 Vasilis Stergiou 2009-12-28 06:56:07 EST
Created attachment 380622 [details]
File: backtrace
Comment 2 Michal Jaegermann 2010-01-07 15:00:11 EST
I got a very similar crashes in mozplugger.  After loading debuginfo packages this is what I got:

Core was generated by `mozplugger-helper 0,1,10,0,0,0,0,0 play "$file"'.
Program terminated with signal 11, Segmentation fault.
#0  XCloseDisplay (dpy=0x0) at ClDisplay.c:57
57              if (!(dpy->flags & XlibDisplayClosing))
(gdb) where
#0  XCloseDisplay (dpy=0x0) at ClDisplay.c:57
#1  0x0000000000402e2f in main (argc=3, argv=<value optimized out>)
    at mozplugger-helper.c:1609
(gdb) l
52              register Display *dpy)
53      {
54              register _XExtension *ext;
55              register int i;
56
57              if (!(dpy->flags & XlibDisplayClosing))
58              {
59                  dpy->flags |= XlibDisplayClosing;
60                  for (i = 0; i < dpy->nscreens; i++) {
61                          register Screen *sp = &dpy->screens[i];
(gdb) f 1
#1  0x0000000000402e2f in main (argc=3, argv=<value optimized out>)
    at mozplugger-helper.c:1609
1609              XCloseDisplay(display);
(gdb) l
1604                        repeats -= loops;
1605              }
1606              /* On each repeat we re-open the XServer connection, so need to
1607               * close it at end of loop - TODO perhaps we should keep in open
1608               * for all repeats? */
1609              XCloseDisplay(display);
1610         }
1611
1612         exit(0);
1613    }
(gdb) p display
$1 = (Display *) 0x0
(gdb) 

It is quite obvious why it crashes although if a 'display' value of NULL here is legitimate is another good question.  After a very quick scan through this code I do no see why not.  A guard on an XCloseDisplay() call would prevent that from happening.
Comment 3 Ngo Than 2010-09-29 08:11:28 EDT
it should be fixed in mozplugger-1.14.2-1.fc13 which will be available in f13-update-testing soon. Or you can download it from http://koji.fedoraproject.org/koji/buildinfo?buildID=189076

Note You need to log in before you can comment on or make changes to this bug.